import 'package:flutter/material.dart';

class SlickOutlinedButton extends StatelessWidget {
  const SlickOutlinedButton({
    Key key,
    @required this.onPressed,
    this.child,
    this.onPrimaryColor,
  }) : super(key: key);

  final VoidCallback onPressed;
  final Widget child;
  final Color onPrimaryColor;

  @override
  Widget build(BuildContext context) {
    return OutlinedButton(
      style: ElevatedButton.styleFrom(
        onPrimary: this.onPrimaryColor == null
            ? Colors.deepOrange
            : this.onPrimaryColor,
      ),
      onPressed: onPressed,
      child: child,
    );
  }
}
