import 'package:flutter/material.dart';
import 'package:slick/controls/form_input/slick_text_input.dart';
import 'package:intl/intl.dart';

class SlickDateInput extends StatelessWidget {
  SlickDateInput({
    Key key,
    @required this.initialValue,
    @required this.labelText,
    @required this.onChanged,
    this.readonly = false,
  }) : super(key: key);

  final DateTime initialValue;
  final String labelText;
  final ValueChanged<DateTime> onChanged;
  final bool readonly;

  @override
  Widget build(BuildContext context) {
    return SlickTextInput(
        readOnly: readonly,
        labelText: labelText,
        initialValue: initialValue == null
            ? ''
            : DateFormat('yyyy-MM-dd').format(initialValue),
        onChanged: (val) {
          if (val.isEmpty) onChanged(null);
          var dateVal = DateTime.tryParse(val);
          if (dateVal == null) dateVal = initialValue;
          onChanged(dateVal);
        });
  }
}
